Name:		python-filelock
Version:	3.15.4
Release:	1
Summary:	A platform independent file lock
License:	Unlicense
URL:		https://github.com/benediktschmitt/py-filelock
Source0:        %{pypi_source filelock}

BuildArch:      noarch

BuildRequires:	python3-pip  python3-hatchling python3-hatch-vcs python3-wheel python3-pytest
BuildRequires:  python3-pytest-mock python3-pytest-virtualenv python3-virtualenv

%description
This package contains a single module, which implements a platform
independent file locking mechanism for Python.

%package doc
Summary:        Documentation for filelock, A platform independent file lock
BuildRequires:  python3-sphinx

%description doc
Documentation for filelock, A platform independent file lock

%package -n python3-filelock
Summary:        A platform independent file lock
BuildRequires:  python3-devel python3-setuptools
%{?python_provide:%python_provide python3-filelock}
Suggests:       %{name}-doc

%description -n python3-filelock
This package contains a single module, which implements a platform
independent file locking mechanism for Python.

%package_help

%prep
%autosetup -p1 -n filelock-%{version}

%build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}/

pytest

%files doc
%defattr(-,root,root)
%license LICENSE

%files -n python3-filelock
%defattr(-,root,root)
%license LICENSE
%{python3_sitelib}/filelock*

%files help
%defattr(-,root,root)
%doc README.md

%changelog
* Mon Aug 12 2024 Ge Wang <wang__ge@126.com> - 3.15.4-1
- Update package to version 3.15.4

* Thu May 09 2024 wangxiaomeng <wangxiaomeng@kylinos.cn> - 3.13.1-2
- Backport patch:fix permission denied error when lock file is placed in /tmp

* Wed Dec 06 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.13.1-1
- Update package to version 3.13.1

* Thu Oct 26 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.12.4-1
- Update package to version 3.12.4

* Wed Jun 21 2023 chendexi <chendexi@kylinos.cn> - 3.12.2-1
- Update package to version 3.12.2

* Thu Apr 27 2023 xu_ping <707078654@qq.com> - 3.12.0-1
- Upgrade to 3.12.0

* Thu Mar 3 2022 zhaoshuang<zhaoshuang@uniontech.com> - 3.0.12-3
- remove unnecessary buildrequires

* Thu Jun 18 2020 hanhui<hanhui15@huawei.com> - 3.0.12-2
- bugfix
- fix python can not find file

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 3.0.12-1
- Package init
